# Generated by Django 2.0.2 on 2018-02-26 18:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('glass', '0002_estabelecimento'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='estabelecimento',
            options={'ordering': ['id'], 'verbose_name': 'Estabelecimento', 'verbose_name_plural': 'Estabelecimentos'},
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='acreditacao',
            field=models.CharField(max_length=120, verbose_name='Hospital Acreditado'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='atendimento',
            field=models.CharField(choices=[('AMB', 'Ambulatorial'), ('HOS', 'Hospitalar')], max_length=3, verbose_name='Tipos de Atendimento'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cepa_rm',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Cepa', verbose_name='Cepas para C.Q. RM'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cepa_tsa',
            field=models.CharField(max_length=120, verbose_name='Cepas para C.Q. TSA'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='classificacao',
            field=models.CharField(choices=[('US', 'Unidade Sentila'), ('LA', 'Laboratório Apoio')], max_length=3, verbose_name='Classificação'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cnpj',
            field=models.CharField(max_length=20, verbose_name='CNPJ'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='corpo_clinico',
            field=models.CharField(choices=[('EPI', 'Epidemiologista'), ('INF', 'Infectologista')], max_length=3, verbose_name='Corpo Clínico'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cq_rm',
            field=models.CharField(choices=[('0', 'Não Realiza'), ('1', 'Diariamente'), ('2', 'Semanalmente'), ('3', 'Mensalmente'), ('4', 'Anualmente')], max_length=3, verbose_name='Cont. de Qualidade RM'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cq_tsa',
            field=models.CharField(choices=[('0', 'Não Realiza'), ('1', 'Diariamente'), ('2', 'Semanalmente'), ('3', 'Mensalmente'), ('4', 'Anualmente')], max_length=3, verbose_name='Cont. Qualidade TSA'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='cultura',
            field=models.IntegerField(verbose_name='Quant. Culturas'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='data_atualizacao',
            field=models.DateTimeField(verbose_name='Data de Atualização'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='data_cadastro',
            field=models.DateTimeField(verbose_name='Data de Cadastro'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='email',
            field=models.EmailField(max_length=254, verbose_name='E-mail'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='endereco',
            field=models.CharField(max_length=120, verbose_name='Endereço'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='esfera',
            field=models.CharField(choices=[('MUN', 'Municipal'), ('EST', 'Estadual'), ('NAC', 'Nacional')], max_length=3, verbose_name='Esfera Administrativa'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='gene_rm',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Gene', verbose_name='Detecção RM'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='gestao_qualidade',
            field=models.CharField(max_length=120, verbose_name='Gestão da Qualidade'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='hemocultura',
            field=models.IntegerField(verbose_name='Quant. Hemoculturas'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='internacoes',
            field=models.IntegerField(verbose_name='Número  de Internações'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='interpretacao_tsa',
            field=models.CharField(max_length=120, verbose_name='Interpretação TSA'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='lab_apoio',
            field=models.CharField(max_length=120, verbose_name='Laboratório de Apoio'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='lab_micro',
            field=models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3, verbose_name='Lab. de Microbiologia'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='leitos_total',
            field=models.IntegerField(verbose_name='Número de Leitos'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='leitos_uti',
            field=models.IntegerField(verbose_name='Número de Leitos UTI'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='leitos_uti_neo',
            field=models.IntegerField(verbose_name='Número de Leitos UTI-Neonatal'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='lic_sanitaria',
            field=models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3, verbose_name='Licença Sanitária'),
        ),
        migrations.RemoveField(
            model_name='estabelecimento',
            name='metodo_tsa',
        ),
        migrations.AddField(
            model_name='estabelecimento',
            name='metodo_tsa',
            field=models.ManyToManyField(blank=True, null=True, to='glass.Metodo', verbose_name='Método TSA'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='municipio',
            field=models.CharField(max_length=120, verbose_name='Município'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='natureza',
            field=models.CharField(choices=[('PB', 'Pública'), ('PV', 'Privada')], max_length=3, verbose_name='Natureza da Instituição'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='neisseria',
            field=models.IntegerField(verbose_name='Quant. N. gonorrhoeae'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='nucleo_epidemio',
            field=models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3, verbose_name='Núcleo Hospitalar de Epidemiologia'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='prof_micro',
            field=models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3, verbose_name='Prof. Especialista'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='razao_social',
            field=models.CharField(max_length=120, verbose_name='Nome ou Razão Social'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='registro',
            field=models.CharField(choices=[('CNES', 'CNES'), ('RSA', 'ANVISA')], max_length=5, verbose_name='Registro Nacional'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='registro_id',
            field=models.CharField(max_length=12, verbose_name='Código Reg. Nac.'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='resp_tecnico',
            field=models.CharField(max_length=120, verbose_name='Resp. Técnico'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='sciras',
            field=models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3, verbose_name='Serviço de Controle de Infecções Relacionadas à Assistência em Saúde'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='servico',
            field=models.CharField(choices=[('PAR', 'Particular'), ('SUS', 'Sistema Único de Saúde')], max_length=3, verbose_name='Prestação de serviço'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='sinan',
            field=models.CharField(choices=[('0', 'Não Notifica'), ('1', '10 ou menos'), ('2', 'De 11 a 20'), ('3', 'De 21 a 50'), ('4', 'Acima de 50')], max_length=3, verbose_name='Notificação SINAN'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='telefone',
            field=models.CharField(max_length=120, verbose_name='Telefone'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='teste_rm',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Teste', verbose_name='Testes Fenotípicos'),
        ),
        migrations.AlterField(
            model_name='estabelecimento',
            name='urocultura',
            field=models.IntegerField(verbose_name='Quant. Uroculturas'),
        ),
    ]
